Disk quotas

You use disk quotas to monitor and limit disk space use.

  • Before setting up disk quotas, see Checklist: Setting up disk quotas.
  • For a list of best practices for disk quotas, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Setting up disk quotas

Step | Reference
Review key concepts. | Disk quotas overview
Confirm that you are a member of the Administrators group. | Groups overview
Set the disk quota for the volume. | To enable disk quotas; To assign default quota values


Best practices

  • Applying appropriate disk quota limits
    Apply disk quota limits according to realistic disk space requirements for your users. Start by classifying your users by the amount of disk space that you anticipate they will require (for example, users in the graphics department may require a large amount of disk space). Next, structure your volumes by those classes, and then use disk quotas to limit the amount of disk space allowed for the users on each volume.
  • Setting default limits
    Set moderately restrictive default limits for all user accounts, and then modify the limits to allow more disk space to users who work with large files. It may be better to increase disk quota limits for a few user accounts than to force some users to work with a quota limit that does not meet their needs.
  • Allowing for growth
    Set quota limits at a level that will allow for growth in disk space use. When quota increases are warranted, increase them by a percentage of the current value.
  • Deleting users' quota entries
    When a user no longer needs the use of a particular volume (for example, when he or she leaves the company), delete the user's quota entry for that volume and then delete, move, or take ownership of any files that the user owns. This helps you eliminate the use of volume space by unneeded files.
  • Limiting installation to administrators
    If you enable disk quota settings on the volume where Windows and programs are installed, limit installation of Windows components and programs to members of the local Administrators group. Because the Administrators group has no quota limits, this prevents the disk space used to install components and programs from pushing a user over his or her quota limit.


How to...

  • Manage disk quotas on a remote computer
  • Manage disk quotas
  • Manage disk quota entries


Manage disk quotas on a remote computer

To manage disk quotas on a remote computer

  1. In Windows Explorer or on the desktop, right-click My Computer or My Network Places, and then click Map Network Drive.
  2. In the Map Network Drive dialog box, in the Folder box, type the path to the volume on the remote computer for which you want to manage disk quotas, and then click Finish.
  3. After you connect to the remote computer's volume, open My Computer.
  4. Right-click the remote volume for which you want to manage disk quotas, and then click Properties.
  5. In the Properties dialog box, click the Quota tab.
  6. On the Quota property page, click Quota Entries.

    7. The Quota Entries window appears. Each row in the list contains information for a user of the volume.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • To manage disk quotas on a remote computer volume, it must be shared from the volume's root directory and you must be a member of the Administrators group on the remote computer.

Related Topics


Manage disk quotas

  • View disk quota settings
  • Enable disk quotas
  • Disable disk quotas
  • Deny disk space to users who exceed their limit
  • Assign default quota values


View disk quota settings

To view disk quota settings

  1. Open My Computer.
  2. Right-click the disk volume for which you want to view disk quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.


Enable disk quotas

To enable disk quotas

  1. Open My Computer.
  2. Right-click the disk volume for which you want to enable disk quotas, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click the Enable quota management check box, and then click OK.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.

Related Topics


Disable disk quotas

To disable disk quotas

  1. Open My Computer.
  2. Right-click the disk volume for which you want to disable disk quotas, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, clear the Enable quota management check box, and then click OK.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.

Related Topics


Deny disk space to users who exceed their limit

To deny disk space to users who exceed their limit

  1. Open My Computer.
  2. Right-click the volume for which you want to deny disk space use, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, select the Enable quota management check box, select the Deny disk space to users exceeding quota limit check box, and then click OK.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • When the disk quota system is configured to deny disk space to users of the volume who exceed their assigned quota limit, users cannot write additional data to the volume without first deleting or moving some existing files from the volume. The response of the system to a user exceeding the quota limit depends on each individual program. To the program, it will appear that the volume is full.

Related Topics


Assign default quota values

To assign default quota values

  1. Open My Computer.
  2. Right-click the volume for which you want to assign default quota values, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Enable quota management.
  5. Select the Limit disk space to option. This activates fields for disk space limit and warning levels.
  6. Type numeric values in the text fields, select a disk space limit unit from the drop-down list, and then click OK. You can use decimal values (for example, 20.5 MB).

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • When you enable disk quotas on a volume, any users with write access to the volume who have not exceeded their quota limit can store data on the volume. The first time a user writes data to a quota-enabled volume, default values for disk space limit and warning level are automatically assigned by the quota system.

Related Topics


Manage disk quota entries

  • View disk quota information for volume users
  • Add new quota entries
  • Delete quota entries
  • Modify user disk space limits and warning levels
  • Find a quota entry in the Quota Entries window
  • Sort quota entries
  • Change column order in the Quota Entries window
  • Create quota reports
  • Import quota settings from another volume
  • Export quota settings to another volume


View disk quota information for volume users

To view disk quota information for volume users

  1. Open My Computer.
  2. Right-click the volume for which you want to view quota information, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.

    5. The Quota Entries window appears. Each row contains information for a volume user.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group on the local computer, the Quota tab is not displayed on the volume's Properties page.
  • When the Quota Entries window is first opened, volume quota information must be obtained from the network domain controller. This information is filled in dynamically as it is obtained. After the information has been obtained from the domain controller, it is saved so that it is immediately available the next time the Quota Entries window is opened.

Related Topics


Add new quota entries

To add new quota entries

  1. Open My Computer.
  2. Right-click the volume for which you want to add new disk quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, on the Quota menu, click New Quota Entry.
  6. In the Select Users dialog box, in the Look in list box, select the name of the domain or workgroup from which you want to select user names. Click Add, and then click OK.
  7. In the Add New Quota Entry dialog box, specify one of the following options and then click OK:

    8. Do not limit disk usage. Tracks disk space usage without limiting disk space.

    Limit disk space to. Activates fields for limiting disk space and setting warning levels. Type a numeric value in the text field, and then select a disk space limit unit from the drop-down list. You can use decimal values (for example, 20.5 MB). The value you enter cannot exceed the maximum capacity of the volume.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • You use the New Quota Entry feature to set up quota limits and warning levels before the user actually writes data to the volume. This is useful when you do not want to use the default disk space limit and warning level values for a particular user. Typically, the default disk space limit and warning level values established by the volume administrator are sufficient for new users of the volume.


Delete quota entries

To delete quota entries

  1. Open My Computer.
  2. Right-click the volume for which you want to delete quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, click the entries for the users you want to delete, and then from the Quota menu, click Delete quota entry.
  6. If the Disk Quota dialog box appears, click Yes, click the files that you want to take action on, click one of the following buttons, and then click Close.
    • Delete. Deletes selected files from the volume.
    • Take ownership. Gives you ownership of selected files on the volume.
    • Move. Moves selected files to a specified volume.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • User quota entries cannot be deleted if a user still owns files on the volume. Before the record can be deleted, all files owned by that user on the volume must either be deleted or moved to another volume, or ownership of the files must be transferred to another user.
  • You are prompted to delete, take ownership of, or move a file only if the user still has files on the volume at the time that you want to delete the quota entry.

Related Topics


Modify user disk space limits and warning levels

To modify user disk space limits and warning levels

  1. Open My Computer.
  2. Right-click the volume for which you want to modify quota values, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, click the entries for the users whose options you want to modify, and on the Quota menu, click Properties.
  6. In the Quota Settings dialog box, modify any of the following options you want to change, and then click OK:

    7. Do not limit disk usage. Click to track disk space usage without limiting disk space.

    Limit disk space to. Activates fields for limiting disk space and setting warning levels. Type a numeric value in the text field, and select a disk space limit unit from the drop-down list. You can use decimal values (for example, 20.5 MB). The value you enter cannot exceed the maximum capacity of the volume.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group on the local computer, the Quota tab is not displayed on the volume's Properties page.

Related Topics


Find a quota entry in the Quota Entries window

To find a quota entry in the Quota Entries window

  1. Open My Computer.
  2. Right-click the volume for which you want to find quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, on the Edit menu, click Find.
  6. In the Find Quota Entry dialog box, enter the user name that you want to find as either domain_name\user_name or user_name@domain_name, and then click OK.

    7. Found entries appear highlighted in the Quota Entries window.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • You can find more than one volume user by repeatedly using the Find Quota Entry dialog box. Each found entry remains highlighted in the Quota Entries window.
  • After you have used the Find Quota Entry dialog box to find one or more user quota entries, you can modify the settings for all of the found entries by clicking Properties on the Quota menu.


Sort quota entries

To sort quota entries

  1. Open My Computer.
  2. Right-click the volume for which you want to sort quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, on the View menu, click Arrange Items, and then click one of the following options:

    6. By Folder. Sorts according to folder.

    By User Name. Sorts according to the full name.

    By Logon Name. Sorts according to logon name.

    By Status. Sorts according to quota status.

    By Amount Used. Sorts according to the amount of space the users have used on the volume.

    By Quota Limit. Sorts according to disk space limits.

    By Warning Level. Sorts according to warning levels.

    By Percent Used. Sorts according to the percentage of disk space limit used.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group on the local computer, the Quota tab is not displayed on the volume's Properties page.
  • Alternatively, you can click a column's title in the Quota Entries window to sort based on the entries in that column. To reverse the order, click the column title again.

Related Topics


Change column order in the Quota Entries window

To change column order in the Quota Entries window

  1. Open My Computer.
  2. Right-click the volume for which you want to view quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, click the column header you want to move, and then drag it horizontally to a new position in the list.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • When the Quota Entries window is closed, the ordering and size of the columns are saved and automatically restored the next time the window is opened.
Related Topics


Create quota reports

To create quota reports

  1. Open My Computer.
  2. Right-click the volume for which you want to create a report, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. While the Quota Entries window is open, open a document in the program that you will use to create the report; for example, a Microsoft Excel spreadsheet.
  6. In the Quota Entries window, click the entries for the users you want to include in your quota report, and drag the rows to the program you are using to create the report; for example, you can drag the objects to a Microsoft Excel spreadsheet or a Microsoft Word document. The transferred data retains the same column and entry order as in the Quota Entries window.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • The supported Clipboard formats for reports are: Rich Text Format, Comma Separated Value, CF_UNICODETEXT, and CF_TEXT.

Related Topics


Import quota settings from another volume

To import quota settings from another volume

  1. Open My Computer.
  2. Right-click the volume to which you want to import quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, on the Quota menu, click Import.
  6. In the Import Quota Settings dialog box, select the name of the file that contains the quota settings you want to import, and then click Open.

    7. When you are importing quota records, a dialog box appears if imported settings will overwrite existing settings for a volume user. Specify whether you want to overwrite the existing user settings.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed on the volume's Properties dialog box.
  • Alternatively, you can open two instances of the Quota Entries window: one for the volume from which you are importing the quota records, and one for the volume into which you want to import quota records. Then you can drag quota records from the source volume's Quota Entries window to the destination volume's Quota Entries window.
  • For entries that already exist on the destination volume, the settings transferred are the user's disk space limit and quota warning level values. If the entries do not exist, new entries are created.
  • Disk quota settings are saved in a file format that is exclusive to the Disk Quotas utility and that is used only for importing and exporting quota settings from one volume to another. The Import Quota Settings dialog box does not show the file name extension for the settings file, even if the folder that contains it shows file name extensions for all files.

Related Topics


Export quota settings to another volume

To export quota settings to another volume

  1. Open My Computer.
  2. Right-click the volume from which you want to export quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click the Quota tab, make sure quotas are enabled, and then click Quota Entries.
  5. Click the user quota records you want to export.
  6. On the Quota menu, click Export.
  7. In the Export Quota Settings dialog box, specify a destination folder, type in a file name for the saved settings, and then click Save.

Notes

  • To open My Computer, on the Windows desktop, double-click My Computer.
  • If the volume is not formatted with the NTFS file system, or if you are not a member of the Administrators group, the Quota tab is not displayed in the volume's Properties dialog box.
  • Alternatively, you can open two instances of the Quota Entries window: one for the source disk volume from which you want to export quota records, and one for the destination volume into which you are exporting the quota records. Then you can drag quota records from the source volume's Quota Entries window to the destination volume's Quota Entries window.
  • For entries that already exist on the destination volume, the settings transferred are the user's disk space limit and quota warning level values. If the entries do not exist, new entries are created.
  • Disk quota settings are saved in a file format that is exclusive to the Disk Quotas utility and that is used only for importing and exporting quota settings from one volume to another. The Export Quota Settings dialog box does not reveal the file name extension for the settings file, even if the folder that contains it shows file name extensions for all files.
  • You can drag a selected quota setting to a folder where an export file is automatically created.

Related Topics


Concepts

This section provides general background information about disk quotas:

  • Disk quotas overview
  • Understanding disk quotas
  • Using disk quotas
  • Resources


Disk quotas overview

Disk quotas track and control disk space usage for volumes. System administrators can configure Windows to:

  • Prevent further disk space use and log an event when a user exceeds a specified disk space limit.
  • Log an event when a user exceeds a specified disk space warning level.

When you enable disk quotas, you can set two values: the disk quota limit and the disk quota warning level. The limit specifies the amount of disk space a user is allowed to use. The warning level specifies the point at which a user is nearing his or her quota limit. For example, you can set a user's disk quota limit to 50 megabytes (MB), and the disk quota warning level to 45 MB. In this case, the user can store no more than 50 MB of files on the volume. If the user stores more than 45 MB of files on the volume, you can have the disk quota system log a system event. For instructions on setting disk quota values, see To assign default quota values.

You can specify that users can exceed their quota limit. Enabling quotas and not limiting disk space use are useful when you do not want to deny users access to a volume, but want to track disk space use on a per-user basis. You can also specify whether or not to log an event when users exceed either their quota warning level or their quota limit.

When you enable disk quotas for a volume, volume usage is automatically tracked for new users from that point on. However, existing volume users have no disk quotas applied to them. You can apply disk quotas to existing volume users by adding new quota entries in the Quota Entries window. For instructions, see To add new disk quota entries.

You can enable quotas on both local volumes and network volumes, but only on those volumes that are shared from the volume's root directory and are formatted with the NTFS file system.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of NTFS used in Windows 2000. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.
  • If the volume is not NTFS formatted, or if you are not a member of the Administrators group on the local computer, the Quota tab is not displayed on the volume's Properties page.
  • File compression does not affect quota statistics. For example, if User A is limited to 3 MB of disk space, he or she can store only 3 MB worth of files, even if the files are compressed.


Understanding disk quotas

This section covers:

  • Quotas and users
  • Folders and disks
  • How user actions affect disk quotas
  • Quota detail updates
  • Quotas and converted NTFS volumes
  • Local and remote implementations


Quotas and users

Because disk quotas monitor volume use by individual user, each user's utilization of disk space does not affect the disk quotas for other users of the same volume. For example, if a user saves 50 megabytes (MB) worth of files to Volume F, that user cannot write additional data to the volume without first deleting or moving some existing files from it. However, other users can continue to save up to 50 MB of space on that volume.

Disk quotas are based on file ownership, and are independent of the folder location of the user's files within the volume. For example, if users move their files from one folder to another on the same volume, their volume space usage does not change. However, if users copy their files to a different folder on the same volume, their volume space usage doubles.

For instructions on enabling disk quotas, see To enable disk quotas.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of NTFS used in Windows 2000. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.


Folders and disks

Disk quotas apply only to volumes, and are independent of folder structures of volumes and their layout on physical disks.

If a volume has multiple folders, the quotas assigned to that volume apply collectively to all of the folders. For example, if \\Production\QA and \\Production\Public are shared folders on Volume F, users' utilization of both \\Production\QA and \\Production\Public cannot exceed the assigned quota on Volume F.

If a single physical disk contains multiple volumes, and you apply quotas to each of the volumes, each volume quota applies only to its specific volume. For example, if you share two different volumes as Volume F and Volume G, quotas are tracked independently for the two volumes, even if they exist on the same physical disk.

If a volume spans multiple physical disks, the same quota for that volume applies to the entire spanned volume. For example, if Volume F has a quota limit of 50 megabytes (MB), then users cannot save more than 50 MB to Volume F, regardless of whether Volume F resides on one physical disk or whether it spans three.

For instructions on enabling disk quotas, see To enable disk quotas.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of the NTFS file system used in Windows 2000. Volumes formatted with the NTFS version used in Windows NT 4.0 volumes are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.


How user actions affect disk quotas

In each of the following cases, the user's action causes the disk space occupied by the file to be charged against the user's quota limit:

  • The user copies or saves a new file to a volume formatted with the NTFS file system.
  • The user takes ownership of a file on an NTFS volume.

For example, if User A takes ownership of a 2 kilobyte (KB) file that User B copied to a volume, User B's disk use decreases by 2 KB and User A's disk use increases by 2 KB.

For instructions, see To enable disk quotas.


Quota detail updates

Within the NTFS file system, volume usage information is stored by user security ID (SID), not user account name. When the Quota Entries window is opened for the first time, disk quotas must obtain user account names from either the network domain controller or local user manager, match them to the SIDs for current volume users, and populate the entries in the Name column with user names. These names appear in this field as they are obtained from the domain controller or local user manager. This process begins immediately the first time you view quota entries.

After the names have been obtained, they are saved to a file on the volume so that they are immediately available the next time the Quota Entries window is opened. However, because this file might go several days without being updated by Windows, the Quota Entries window might not reflect changes you have made to the domain's user accounts list since viewing quota entries.

To obtain current user names, press F5. Windows then refreshes the user names for each user from the network domain controller or local user manager. Depending on the number of volume users and the current network speed, this process could take a few minutes. During this process, if you want to see a particular user's name more quickly, you can select that entry to move it to the top of the list.

For instructions, see To view disk quota information for volume users.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of NTFS used in Windows 2000. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.


Quotas and converted NTFS volumes

Because disk quotas are based on file ownership, any changes to a volume that affect ownership status of the files on it, including file system conversion, might affect disk quotas for the volume. Therefore, you should understand the changes to ownership that the conversion might cause before converting existing volumes from one file system to another.

Because they use data stored in NTFS file system fields to identify file owners, disk quotas work both with the version of NTFS used in Windows 2000 and with the version of NTFS used in Windows NT 4.0 and earlier. However, because files on FAT and FAT32 volumes are owned by the system, files on volumes that have been converted from FAT or FAT32 to NTFS are not counted against the users who owned the files. In this case, the files are charged against the Administrator account. This is seldom a problem because administrators have unlimited volume use.

For more information about file systems, see Windows file systems.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of NTFS used in Windows 2000. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.
  • File compression does not affect quota statistics. For example, if User A is limited to 3 megabytes (MB) of disk space, he or she can store only 3 MB worth of files, even if the files are compressed.


Local and remote implementations

You can enable disk quotas on volumes residing on both local computers and remote computers. On local computers, you can use quotas to limit the amount of volume space available to different users who log on to the local computer. On remote computers, you can use quotas to limit volume usage by remote users.

You can use quotas to make sure that:

  • Multiple users who log on to the same computer do not interfere with the other users' ability to work.
  • Disk space on public servers is not monopolized by one or more users.
  • Users do not use excessive disk space on a shared folder on your personal computer.

To enable quotas on remote computer volumes, those volumes must be formatted with the version of NTFS used in Windows 2000 and be shared from the volume's root directory. Also, you must be a member of the Administrators group on the remote computer volume to enable and manage quotas.

Windows system files are included in the volume usage of the person who installed Windows on the local computer. When implementing disk quotas on a local volume, you should take into account the disk space used by the Windows files. Depending on the free space available on the volume, you may want to set either a high quota limit or no limit at all for the user who installed Windows. If Windows was installed by an administrator, you do not need to do this because administrators cannot be denied disk space use even if they surpass their disk quota limit.

For instructions, see To enable disk quotas.


Using disk quotas

This section covers:

  • Enabling disk quotas
  • Deleting disk quota entries
  • Documenting disk space use
  • Auditing disk space use
  • Exceeding disk quota limits


Enabling disk quotas

When you enable quotas on a volume that already contains files, Windows calculates the disk space used by all users who have copied, saved, or taken ownership of files on the volume up to that point. The quota limit and warning level are then applied to all current users based on those calculations, and to users who begin using the volume from that point on. You can then set different quotas, or disable quotas, for individual or multiple users. You can also set quotas for specific users who have not yet copied, saved, or taken ownership of files on the volume.

For example, you might want to set a quota limit of 5 megabytes (MB) for all users of \\Production\Public, while making sure two users who work with larger files on the server have a 10 MB limit. If both of these users already have files stored on \\Production\Public, you can select both users and set their quota limit to 10 MB. However, if one or both users do not have files stored on the server when you enable quotas, you need to use the Select Users property sheet to set their quota limit to a value higher than the default for new users.

For instructions about enabling disk quotas, see To enable disk quotas.

Notes

  • To support disk quotas, a disk volume must be formatted with the version of NTFS used in Windows 2000. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows 2000 Setup.
  • To administer quotas on a volume, you must be a member of the Administrators group on the computer where the drive resides.


Deleting disk quota entries

When a user no longer needs to use a volume on which quotas are enabled, you can eliminate that user's warning level and quota limit by deleting his or her entry from the Quota Entries window. However, you can do so only after all of the volume files owned by that user have either been deleted or removed from the volume, or after the files' ownership has been transferred to another user.

Because disk quotas track files by owner, locating these files and then moving, deleting, or taking ownership of them is made simple with a dialog box that appears when you delete a quota entry. For instructions, see To delete quota entries.


Documenting disk space use

You can specify a disk quota limit without denying users further disk space use. This is useful when you do not want to deny users access to a volume, but want to track disk space use on a per-user basis. You can also specify whether or not to log an event when users exceed either their quota warning level or their quota limit. Using this feature, you can document disk space use, which is useful to:

  • Keep historical records of disk space use.
  • Show additional disk space needs.
  • Show distribution of disk space on a per-user basis.
  • Notify users of disk space over-utilization.
For instructions on documenting disk space use, see To create quota reports.


Auditing disk space use

Enabling quotas causes a slight increase in server overhead, and therefore causes a slight decrease in file server performance. However, by periodically enabling and then disabling quotas, you can take advantage of the auditing capabilities provided by Windows disk quotas without reducing the performance of your file server on a day-to-day basis.

When you enable quotas, Windows calculates how much disk space is used by those users who have stored files on a volume. You can then contact those users who are using more disk space than they should. If you do not want to continuously monitor disk usage, disable quotas after you are done viewing the data.

If you want a record of the audit, you can save a copy of the data to another application, such as Microsoft Excel.

For instructions, see To enable disk quotas.


Exceeding disk quota limits

When you select the Deny disk space to users exceeding quota limit option, users who exceed their quota limit receive an "insufficient disk space" error from Windows and cannot write additional data to the volume without first deleting or moving some existing files from it.

Individual programs determine their own error handling for this condition. To the program, it appears that the volume is full. If you leave this option cleared, users can exceed their quota limit. Enabling quotas and not limiting disk space use are useful when you do not want to deny users access to a volume, but want to track disk space use on a per-user basis. You can also specify whether or not to log an event when users exceed either their quota warning level or their quota limit.

When you select the Log event when a user exceeds their quota limit option, an event is written to the Windows system log on the computer running disk quotas whenever users exceed their quota limit. Administrators can view these events with Event Viewer, filtering for disk event types.

When you select the Log event when a user exceeds their warning level option, an event is written to the Windows system log on the computer running disk quotas whenever users exceed their quota warning level. Administrators can view these events with Event Viewer, filtering for disk event types. Unless you set a trigger to do so, users are not warned of this event.

For instructions, see To enable disk quotas.

Note

  • Event Viewer builds a historical, chronological record of which users exceeded their quota warning level and quota limits, and when they exceeded them. However, it does not provide information about which users are currently over their quota warning level. To find that information, on the Quota tab, click Quota Entries.


Resources

  • Windows 2000 Server family at the Microsoft Web site (http://www.microsoft.com/)
  • Microsoft TechNet at Microsoft TechNet (http://www.microsoft.com)
  • Microsoft TechNet compact discs
  • Microsoft support at the Microsoft Web site (http://www.microsoft.com)
  • Getting Started for Windows 2000 Server
  • Windows 2000 Server Resource Kit


Troubleshooting

What problem are you having?

The Quota tab does not appear on the Properties dialog box for a FAT-formatted volume.

Cause: Because disk quotas can be set only on volumes formatted with the NTFS file system, the Quota tab does not appear for FAT-formatted volumes.

Solution: Format volumes for which you want to track or limit disk space usage with NTFS.

See also Quotas and converted NTFS volumes.

Cannot delete a quota entry.

Cause: You cannot delete a quota entry for a user account until all files that the user owns have been removed from the volume or another user has taken ownership of the files.

Solution: Move, delete, or take ownership of all files that the user owns on that volume.

See also To delete quota entries.

A user gets an "insufficient disk space" message when trying to add files to a volume.

Cause: The user has exceeded the quota limit.

Solution: Increase the user's quota limit, move or delete files from the volume, or clear the Deny disk space to users exceeding quota limit option in Disk Quotas.

See also Exceeding disk quota limits.

Users exceeded their quota limits when Windows NT 4.0 was running.

Cause: Disk quotas work under Windows 2000 only. If you set disk quota limits on a computer that is configured to run both Windows NT 4.0 and Windows 2000, users can exceed their quota limit while Windows NT 4.0 is running. If this happens, the next time that Windows 2000 is started, users who have exceeded their quota limit while Windows NT 4.0 was running cannot add files to the volume to which the quota is applied.

Solution: To enable users to add more files to the volume while Windows 2000 is running, see the previous issue. To prevent users from exceeding their quota limit on a volume under Windows NT 4.0, change permissions on the volume so that users do not have Write permission.

See also Folder permissions, and Installing more than one operating system on your computer.